> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/update-signal-endpoint/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # [BETA] Update a signal endpoint. PUT https://app.unleash-instance.example.com/api/admin/signal-endpoints/{id} Content-Type: application/json **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Updates an existing signal endpoint identified by its id. Reference: https://docs.getunleash.io/api/update-signal-endpoint ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `id` (string, required) ### Body (application/json) This endpoint expects a createSignalEndpointSchema. - `name` (string, required) — The signal endpoint name. Must be URL-safe. - `enabled` (boolean, optional) — Whether the signal endpoint is currently enabled. If not specified, defaults to true. - `description` (string, optional, nullable) — A more detailed description of the signal endpoint and its intended use. ## Response ### 200 #/components/schemas/signalEndpointSchema - `id` (integer, required) — The signal endpoint's ID. Signal endpoint IDs are incrementing integers. In other words, a more recently created signal endpoint will always have a higher ID than an older one. - `enabled` (boolean, required) — Whether the signal endpoint is currently enabled. If not specified, defaults to true. - `name` (string, required) — The signal endpoint name. Must be URL-safe. - `createdAt` (string, required) — The date and time of when the signal endpoint was created. - `createdByUserId` (integer, required) — The ID of the user that created this signal endpoint. - `description` (string, optional, nullable) — A more detailed description of the signal endpoint and its intended use. - `url` (string, optional) — The full URL that should be used to call the signal endpoint. This property is only returned for newly created or updated signal endpoints. - `tokens` (list of signalEndpointTokenSchema, optional) — The list of tokens associated with the signal endpoint. ## Errors ### 400 Bad Request Error The request data does not match what we expect. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 404 Not Found Error The requested resource was not found. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 415 Unsupported Media Type Error The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### signalEndpointTokenSchema An object describing a signal endpoint token. - `id` (integer, required) — The signal endpoint token's ID. Signal endpoint token IDs are incrementing integers. In other words, a more recently created signal endpoint token will always have a higher ID than an older one. - `name` (string, required) — The signal endpoint token name. - `signalEndpointId` (integer, required) — The signal endpoint ID that this token belongs to. - `createdAt` (string, required) — The date and time of when the signal endpoint token was created. - `createdByUserId` (integer, required) — The ID of the user that created this signal endpoint token. - `token` (string, optional) — The token used for authentication. It is automatically generated by Unleash when the token is created and that is the only time this property is returned. ## Examples **Request** ```json { "name": "cpu-over-90" } ``` **Response** ```json { "id": 7, "enabled": true, "name": "cpu-over-90", "createdAt": "2023-12-27T13:37:00+01:00", "createdByUserId": 1337, "description": "Notifies when CPU usage is over 90%.", "url": "https://app.unleash-hosted.com/my-instance/signal-endpoint/cpu-over-90", "tokens": [ { "id": 7, "name": "My external app #1", "signalEndpointId": 1337, "createdAt": "2023-12-27T13:37:00+01:00", "createdByUserId": 1337, "token": "signal_xyzrandomstring" } ] } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/signal-endpoints/id" payload = { "name": "cpu-over-90" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/signal-endpoints/id'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"name":"cpu-over-90"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/signal-endpoints/id" payload := strings.NewReader("{\n \"name\": \"cpu-over-90\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/signal-endpoints/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"cpu-over-90\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.unleash-instance.example.com/api/admin/signal-endpoints/id") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"name\": \"cpu-over-90\"\n}") .asString(); ``` ```php request('PUT', 'https://app.unleash-instance.example.com/api/admin/signal-endpoints/id', [ 'body' => '{ "name": "cpu-over-90" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/signal-endpoints/id"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"cpu-over-90\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["name": "cpu-over-90"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/signal-endpoints/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```